### Method

# GIRepository RegisteredTypeInfo get_type_init_function_name

since: 2.80

#### Declaration

    const char*
    gi_registered_type_info_get_type_init_function_name (
      GIRegisteredTypeInfo* info
    )

#### Description

Obtain the type init function for `info`.

The type init function is the function which will register the `GType` within the GObject type system. Usually this is not called by language bindings or applications — use `gi_registered_type_info_get_g_type()` directly instead.

Available since: 2.80

#### Return value

Type: `const char*`

The symbol name of the type init function, suitable for passing into `g_module_symbol()`, or `NULL` if unknown.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.